Bug 25998 - bugfix for setup -n "name with spaces"
: bugfix for setup -n "name with spaces"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://git.altlinux.org/people/viy/pa...
:
:
:
  Show dependency tree
 
Reported: 2011-08-06 19:44 by
Modified: 2011-08-09 14:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-06 19:44:19
commit c9505d67b9449db8ea5beba3ec25451466d0e5b7
Authorcommit c9505d67b9449db8ea5beba3ec25451466d0e5b7
Author: Igor Vlasenko <viy@altlinux.org>
Date:   Sat Aug 6 18:38:30 2011 +0300

    build.c,parsePrep.c: quoted buildSubdir, to allow spaces.

можно протестировать на 
# 51641 sisyphus srpm=fonts-ttf-sil-gentium-basic-1.1-alt1_6.src.rpm
который собирается под патченным rpm
------- Comment #1 From 2011-08-06 20:22:44 -------
А
setup -q -n 'sngile-quoted'
разве не работает?

Дело в том, что single quote - это не совсем полноценный quote, и если появится
name with single quote, то извернуться будет ещё сложнее.

Впрочем, это изменение соответствует rpm.org 412f9fcb17f7d808
------- Comment #2 From 2011-08-06 21:42:17 -------
sngile-quoted не пробовал, 
мне нужно это изменение для робота импорта из Федоры, чтобы быть совместимым с
федорой.
# 51641 sisyphus srpm=fonts-ttf-sil-gentium-basic-1.1-alt1_6.src.rpm
--- это генерированный пакет.
------- Comment #3 From 2011-08-06 22:26:24 -------
Please share your task with the package in question.
------- Comment #4 From 2011-08-06 22:37:17 -------
(В ответ на комментарий №3)
> Please share your task with the package in question.

done
#51641 FAILED #1 [shared] sisyphus
srpm=fonts-ttf-sil-gentium-basic-1.1-alt1_6.src.rpm
------- Comment #5 From 2011-08-06 22:58:24 -------
You also quote buildDir, but it's left unquoted in platform.in:
cd %{u2p:%_builddir}

Maybe the whole thing should be moved to %__build_pre:
cd %{u2p:%_builddir}%{?_buildsubdir}

This is not an immediate problem, though.
------- Comment #6 From 2011-08-06 23:30:05 -------
And now run the task.
------- Comment #7 From 2011-08-06 23:58:41 -------
rpm-4.0.4-alt100.30 -> sisyphus:

* Sat Aug 06 2011 Alexey Tourbin <at@altlinux> 4.0.4-alt100.30
- build.c, parsePrep.c: Quote buildSubidr in autogenerated shell
  scripts, to allow spaces (by Igor Vlasenko; closes: #25998).
------- Comment #8 From 2011-08-07 00:00:09 -------
thanks!
------- Comment #9 From 2011-08-09 13:29:14 -------
gtk2-themes-fishing-the-sky-0.3-alt1
        + cd 'fishing\ the\ sky'
        /usr/src/tmp/rpm-tmp.35796: line 97: cd: fishing\ the\ sky: No such
file or directory
------- Comment #10 From 2011-08-09 13:35:33 -------
(В ответ на комментарий №9)
> gtk2-themes-fishing-the-sky-0.3-alt1
>         + cd 'fishing\ the\ sky'
>         /usr/src/tmp/rpm-tmp.35796: line 97: cd: fishing\ the\ sky: No such
> file or directory

fixed in gtk2-themes-fishing-the-sky-0.3-alt2.src.rpm
------- Comment #11 From 2011-08-09 13:51:48 -------
То есть не факт что стало лучше - кто-то полагался на старое поведение, для
кторого был workaround. Но по крайней мере стало как в федоре.
------- Comment #12 From 2011-08-09 13:56:55 -------
(В ответ на комментарий №11)
> То есть не факт что стало лучше - кто-то полагался на старое поведение, для
> кторого был workaround. Но по крайней мере стало как в федоре.

у нас много устаревших отличий от современного rpm.
в новом rpm поддерживаются несколько флагов -f в %files,
секция %pre/%posttrans,
%patch -Fn option (be passed directly to patch)
unicode description and summary
и т.д.
руки не доходят.
------- Comment #13 From 2011-08-09 14:03:05 -------
(In reply to comment #11)
> То есть не факт что стало лучше - кто-то полагался на старое поведение, для
> кторого был workaround. Но по крайней мере стало как в федоре.

Ну да, с этим изменением совместимость по багам с федорой улучшилась на 1 :(